%define _distro		booyo

Summary	: Hangul/Hangul_Hanja Keyboard key setting tool
Name	: potamia-config-hangulkey
Version	: 1.0
Release	: 2.%{_distro}
License	: GPL
Group	: System Environment/Base
URL	: http://kldp.net/projects/hangulkey
Source	: %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python >= 2.3.4
Requires: initscripts
Requires: usermode >= 1.74
Requires: xinitrc >= 4.0.14
REquires: xorg-x11 >= 6.8.2

%description
This package help you that setting hangul keyboard.

%prep
%setup -n keymap

%{__cat} <<EOF >%{name}.apps
USER=root
PROGRAM=%{_sbindir}/potamia-config-hangulkey
SESSION=true
FALLBACK=false
EOF

%{__cat} <<EOF >%{name}.pam
#%PAM-1.0
auth    sufficient      /lib/security/pam_rootok.so
auth    sufficient      /lib/security/pam_timestamp.so
auth    required        /lib/security/pam_stack.so service=system-auth
session required        /lib/security/pam_permit.so
session optional        /lib/security/pam_xauth.so
session optional        /lib/security/pam_timestamp.so
account required        /lib/security/pam_permit.so
EOF

%build

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

rm -f %{buildroot}%{_sysconfdir}/security/console.apps/potamia-config-hangulkey.py
rm -f %{buildroot}%{_sysconfdir}/pam.d/potamia-config-hangulkey.py

# Install the consolehelper symlink
%{__mkdir_p} %{buildroot}%{_bindir}
%{__ln_s} consolehelper %{buildroot}%{_bindir}/potamia-config-hangulkey
%{__ln_s} ../share/potamia-config-hangulkey/src/potamia-config-hangulkey.py %{buildroot}%{_sbindir}/potamia-config-hangulkey

# Install the consolehelper required files
%{__install} -D -m 0644 %{name}.apps \
    %{buildroot}%{_sysconfdir}/security/console.apps/potamia-config-hangulkey
%{__install} -D -m 0644 %{name}.pam \
    %{buildroot}%{_sysconfdir}/pam.d/potamia-config-hangulkey


%clean
rm -rf $RPM_BUILD_ROOT

%post 

%postun 

%files
%defattr(-,root,root)
%{_bindir}/potamia-config-hangulkey
%{_sbindir}/potamia-config-hangulkey
%{_datadir}/potamia-config-hangulkey/README
%{_datadir}/potamia-config-hangulkey/src/key.db
%{_datadir}/potamia-config-hangulkey/src/command.py
%{_datadir}/potamia-config-hangulkey/src/treeview.py
%{_datadir}/potamia-config-hangulkey/src/keymanager.py
%{_datadir}/potamia-config-hangulkey/src/potamia-config-hangulkey.py
%{_datadir}/applications/potamia-config-hangulkey.desktop
%{_datadir}/icons/Booyohaans/48x48/potamia-config-hangulkey.png
%{_datadir}/locale/ko/LC_MESSAGES/potamia-config-hangulkey.mo
/etc/pam.d/potamia-config-hangulkey
/etc/security/console.apps/potamia-config-hangulkey

%changelog
* Tue Aug 23 2005 JinkoO Han <jkhan@haansoft.com> 1.0-2
- change menu-icons file in .desktop 

* Tue Aug 23 2005 JinkoO Han <jkhan@haansoft.com> 1.0-1
- make init SPEC
