#!/usr/bin/env python

#

import os

#DATA_DB_DIR = './'
PROGRAM_NAME='potamia-config-hangulkey'
DATA_DB_DIR = '/usr/share/' + PROGRAM_NAME + '/src/'
DATA_DB_FILE = 'key.db'

class KeyManager:
	def is_exist_db_file(self, path=None):
		if not path:
			print 'argument is failed'
			sys.exit(1)

		return os.access(path, os.F_OK)
	
	def read_data(self, path=None):
		if not path:
			print 'argument is failed'
			sys.exit(1)
		
		fr = open(path, 'r')
		for line in fr.readlines():
			company = line.split('\t')[0]
			product = line.split('\t')[1]
			hangul = line.split('\t')[2]
			hanja = line.split('\t')[3].split('\n')[0]
			
			list = [hangul, hanja]
			dictionary = {}
			dictionary[product] = list
			
			if self.db_data.has_key(company):
				company_list = self.db_data[company]
				company_list.append(dictionary)
			else:
				company_list = [dictionary]

			self.db_data[company] = company_list
		fr.close()

	def get_db_data(self):
		data = {}
		for key in self.db_data.keys():
			values = []
			for dic in self.db_data[key]:
				value = dic.keys()
				values.append(value.pop())
			data[key] = values

		return data
		
	def get_data(self):
		return self.db_data

	def __init__(self):
		print 'db data constructor...'
		self.db_data = {}

		self.path = DATA_DB_DIR + DATA_DB_FILE
		
		if self.is_exist_db_file(self.path):
			print 'data file is exist'

			self.read_data(self.path)
			#print self.db_data

#	def __del__(self):
#		print 'db daba destructor...'
#		#fw = open(self.path, 'w')
#		fw = open('tt.tmp', 'w')
#
#		for company in self.db_data.keys():
#			for dictionary in self.db_data[company]:
#				for key in dictionary.keys():
#					value = dictionary[key]	
#					#print company + '\t' + key[0] + '\t' + value[0] + '\t' + value[1] + '\n'
#					fw.write(company + '\t' + key[0] + '\t' + value[0] + '\t' + value[1] + '\n')
#		fw.close()

			
#if __name__ == "__main__":
#	KeyManager()	
