#!/usr/bin/env python

import pygtk
pygtk.require('2.0')
import gtk

import treeview
import command

PROGNAME='potamia-config-hangulkey'

import locale
from rhpl.translate import _, N_, textdomain_codeset
locale.setlocale(locale.LC_ALL, "")
textdomain_codeset(PROGNAME, locale.nl_langinfo(locale.CODESET))

import __builtin__
__builtin__.__dict__['_'] = _

class NoteKey:
#######################
# Callback Functions
##############################
    def callback_ok_button(self, widget, data):
	print 'ok button clicked'
	# 클릭된 부분을 찾아 리스트 정보 작성
	model, iter = self.tree_view.get_selection().get_selected()
        if not iter:
        	print 'iter is empty'
                error = dlg_error.DlgError( _('Select delete profile!') )
                return None

	name = model.get(iter, 0)
	list = self.TreeView.is_detail_info(name)
	if not list:
		return

	# restart한다.
	command.restart(list)

    def print_about(self, w, data):
	window = gtk.Window(gtk.WINDOW_TOPLEVEL)
	window.set_position(gtk.WIN_POS_CENTER_ALWAYS)
	window.set_border_width(5)
	window.set_size_request(450, 200)
	
	title = _('About')
	window.set_title(title)
	window.set_resizable(False)

	label_about = _("Thank you for used my program!\n"
"Mr.Lee and Mr.Han is developer for haansoft.com\n"
"This program is to make based for Booyo Desktop Linux.\n"
"This program is to help you that setting hangul/hanja keboard map.\n")
	label=gtk.Label(label_about)
	
	window.add(label)
	
	label.show()
	window.show()

####################################################

    # This is the ItemFactoryEntry structure used to generate new menus.
    # Item 1: The menu path. The letter after the underscore indicates an
    #         accelerator key once the menu is open.
    # Item 2: The accelerator key for the entry
    # Item 3: The callback.
    # Item 4: The callback action.  This changes the parameters with
    #         which the callback is called.  The default is 0.
    # Item 5: The item type, used to define what kind of an item it is.
    #       Here are the possible values:

    #       NULL               -> "<Item>"
    #       ""                 -> "<Item>"
    #       "<Title>"          -> create a title item
    #       "<Item>"           -> create a simple item
    #       "<CheckItem>"      -> create a check item
    #       "<ToggleItem>"     -> create a toggle item
    #       "<RadioItem>"      -> create a radio item
    #       <path>             -> path of a radio item to link against
    #       "<Separator>"      -> create a separator
    #       "<Branch>"         -> create an item to hold sub items (optional)
    #       "<LastBranch>"     -> create a right justified branch 

    def get_main_menu(self, window):
        accel_group = gtk.AccelGroup()

        # This function initializes the item factory.
        # Param 1: The type of menu - can be MenuBar, Menu,
        #          or OptionMenu.
        # Param 2: The path of the menu.
        # Param 3: A reference to an AccelGroup. The item factory sets up
        #          the accelerator table while generating menus.
        item_factory = gtk.ItemFactory(gtk.MenuBar, "<main>", accel_group)

        # This method generates the menu items. Pass to the item factory
        #  the list of menu items
        item_factory.create_items(self.menu_items)

        # Attach the new accelerator group to the window.
        window.add_accel_group(accel_group)

        # need to keep a reference to item_factory to prevent its destruction
        self.item_factory = item_factory
        # Finally, return the actual menu bar created by the item factory.
        return item_factory.get_widget("<main>")

    def __init__(self):
    	self.icons_path = '/usr/share/icons/Booyohaans/48x48/potamia-config-hangulkey.png'
        self.menu_items = (
            ( '/'+_('_File'),         		None,		None,			0, "<Branch>"	),
            ( '/'+_('_File')+'/'+'sep1',	None,		None,			0, "<Separator>"),
            ( '/'+_('_File')+'/'+_('Quit'),	"<control>Q",	gtk.main_quit,		0, None		),
            ( '/'+_('_Help'),         		None,		None,			0, "<Branch>"	),
            ( '/'+_('_Help')+'/'+_('About'),	None,		self.print_about,	0, None		),
         )

        window = gtk.Window(gtk.WINDOW_TOPLEVEL)
        window.connect("destroy", gtk.main_quit, "WM destroy")
        window.set_title( _('Notebooy Keyborad MAP Setting') )
        window.set_size_request(400, 300)
	window.set_icon_from_file(self.icons_path)

	# Create a Frame
	frame = gtk.Frame()
	window.add(frame)

	# Set the frame's label
	#frame.set_label("GTK Frame Widget")

	# Align the label at the right of the frame
	frame.set_label_align(1.0, 0.0)

	# Set the style of the frame
	#frame.set_shadow_type(gtk.SHADOW_ETCHED_OUT)
	frame.show()

        main_vbox = gtk.VBox(False, 1)
        main_vbox.set_border_width(1)
        frame.add(main_vbox)
        main_vbox.show()

        menubar = self.get_main_menu(window)
        main_vbox.pack_start(menubar, False, True, 0)
        menubar.show()

	scrolled_window = gtk.ScrolledWindow()
	scrolled_window.set_border_width(1)

	# the policy is one of POLICY AUTOMATIC, or POLICY_ALWAYS.
	# POLICY_AUTOMATIC will automatically decide whether you need
	# scrollbars, whereas POLICY_ALWAYS will always leave the scrollbars
	# there. The first one is the horizontal scrollbar, the second, the
	# vertical.
	scrolled_window.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_ALWAYS)

	# The dialog window is created with a vbox packed into it.
	main_vbox.pack_start(scrolled_window)
	scrolled_window.show()

 	self.TreeView = treeview.CreateTreeView()
	self.tree_view = self.TreeView.get_tree_view()

	# Add our view into the main window
	#main_vbox.pack_start(tree_view, False, True, 0)
	scrolled_window.add(self.tree_view)
	window.show_all()

        hbox = gtk.HBox(False, 1)
        hbox.set_border_width(1)
        main_vbox.pack_end(hbox, False, True, 0)
       	hbox.show()
	# Create a new button
	button = gtk.Button('OK', gtk.STOCK_OK)

	# Connect the "clicked" signal of the button to our callback
	button.connect("clicked", self.callback_ok_button, "ok button")

	# This calls our box creating function
	#box1 = xpm_label_box(self.window, "info.xpm", "cool button")

	# Pack and show all our widgets
	#button.add(box1)

	#box1.show()
	button.show()
	hbox.pack_end(button, False, True, 0)

        window.show()


def main():
    gtk.main()
    return 0

if __name__ == "__main__":
    NoteKey() 
    main()
