#!/usr/bin/env python

#
import gtk
import gobject
import sys

import keymanager

class CreateTreeView:
	def make_view(self, model=None):
		if not model:
			print 'argument is failed'
			sys.exit(1)
		
		view = gtk.TreeView(model)

		renderer1 = gtk.CellRendererText()
		#renderer1.set_property('editable', True)
		renderer1.connect('edited', self.col0_edited_cb, model)

#		renderer2 = gtk.CellRendererText()
#		renderer2.set_property('editable', True)
#		renderer2.connect('edited', self.col1_edited_cb, model)

		self.column0 = gtk.TreeViewColumn( _('Product'), renderer1, text=0 )
#		self.column1 = gtk.TreeViewColumn("Model", renderer2, text=1)

		view.append_column(self.column0)
#		view.append_column(self.column1)

		return view

	
	def col0_edited_cb( self, cell, path, new_text, model ):
	    print "Change '%s' to '%s'" % (model[path][0], new_text)
	    model[path][0] = new_text
	    return

#	def col1_edited_cb( self, cell, path, new_text, model ):
#	    print "Change '%s' to '%s'" % (model[path][1], new_text)
#	    model[path][1] = new_text
#	    return

	def get_tree_view(self):
		return self.tree_view

	def is_detail_info(self, name=None):
		if not name:
			print 'argument is failed'
			sys.exit(1)
		
		if self.is_exist_company_list(name) == 1:
			print '%s is company list' % name
			return None

		key_manager = keymanager.KeyManager()
		self.data = key_manager.get_data()
		for key in self.data.keys():
			for dic in self.data[key]:
				for i in dic.keys():
					if i == name[0]:
						return dic[i]

		print 'Ooops....'
		sys.exit(1)

	def is_exist_company_list(self, name=None):
		if not name:
			print 'argument is failed'
			sys.exit(1)
		
		for i in self.company:
			if i == name[0]:
				return 1
		return None

	def __init__(self):
		Store = MakeTree()
	        #self.tree_view = CreateTreeView()
		
	        # Get the model and attach it to the view
	        (self.mdl, self.company) = Store.get_all_information()
	        self.mdl = Store.get_model()
		if not self.mdl:
			print 'model is empty'
			sys.exit(1)

	        self.tree_view = self.make_view(self.mdl)


class MakeTree:
	def __init__(self):
	    #self.tasks = { "a" : ["b", "B"], "c": ["d", "D"] }
	    self.company = []
	    key_manager = keymanager.KeyManager()
	    self.tasks = key_manager.get_db_data()

#	    self.tree_store = gtk.TreeStore(gobject.TYPE_STRING, gobject.TYPE_STRING)
	    self.tree_store = gtk.TreeStore(gobject.TYPE_STRING)

	    # places the global people data into the list
	    # we form a simple tree.
	    for item in self.tasks.keys():
#		parent = self.tree_store.append( None, (item, None) )
		parent = self.tree_store.append( None, (item,) )
		self.company.append(item)
		for value in self.tasks[item]:
#			self.tree_store.append( parent, (value, None) )
			self.tree_store.append( parent, (value,) )
	    return

	def get_all_information(self):
		return self.get_model(), self.company

	def get_model(self):
	    if self.tree_store:
		return self.tree_store
	    else:
		return None
